$color_1: black;
$color_2: white;
$color_3: #cacaca;

$background_color_1: #ccc;
$background_color_2: white;
$background_color_3: #2196f3;

$background_color_4: #2199e8;
$background_color_5: #ddd;
$background_color_6: transparent;

.search-panel-header {
  display: flex;
  justify-content: space-between;
  cursor: pointer;
}

label {
  margin-bottom: 0px;
}

/* Rounded sliders */
.switch {
  position: relative;
  display: inline-block;
  width: 54px;
  height: 27px;
  input {
    opacity: 0;
    width: 0;
    height: 0;
  }
}
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: $background_color_1;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  &:before {
    position: absolute;
    content: "";
    height: 19px;
    width: 20px;
    left: 4px;
    bottom: 4px;
    background-color: $background_color_2;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }
}
input {
  &:checked {
    & + .slider {
      background-color: $background_color_3;
      &:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
      }
    }
  }
  &:focus {
    & + .slider {
      box-shadow: 0 0 1px #2196f3;
    }
  }
}
.slider.round {
  border-radius: 34px;
  &:before {
    border-radius: 50%;
  }
}

// Table
.assign {
  text-align: center;
}

// pagination
.pagination-section {
  display: flex;
  justify-content: space-between;
  padding: 20px;
}
.pagination {
  a {
    color: $color_1;
    float: left;
    padding: 5px 10px;
    text-decoration: none;
    transition: background-color 0.3s;
    border: 1px solid #e2e2e2;
    &:hover {
      &:not(.active) {
        cursor: pointer;
        background-color: $background_color_5;
        text-decoration: underline !important;
      }
    }
  }
  a.active {
    background-color: $background_color_4;
    color: $color_2;
  }
}

.disabled {
  cursor: context-menu !important;
  color: $color_3 !important;
  background-color: $background_color_6 !important;
  text-decoration: none !important;
}
